OpenRTM-aist (Java) - [ O #3886
00 #3779(00):(0)00000O0OUOPortProfile/ConnectorProfilel DO OO OOOOO

[FSMARTCIOOOODODODOODODOOODODOOOO
2017/01/25 16:33 - win-ei

ooooo: oo ooo: 2017/01/25
ooo: oo oo:

ooo: win-ei ooo: 100%
oooo: oooo: 0.000 O
ooooooo:

0o

[FSM4RTC]

00000 0OOdPortProfile/ConnectorProfile 0 0 000000000 DOCOOO0OOOOOODOOOODOOOOOOOOODOOOOO
O

goooooooboob

00000 916-2017/01/25 16:34 - win-ei

[FSM4RTC,incompat] Connector listeners intarfaces have been changed to modify info and data in the listeners and return its status. refs #3886

00000 917-2017/01/25 17:46 - win-ei

[FSM4RTC,incompat] Connector listeners intarfaces have been changed to modify info and data in the listeners and return its status. refs #3886

00000 918-2017/01/25 17:49 - win-ei
[FSM4RTC,incompat] Some callback points have been added. refs #3886

00000 919-2017/01/26 00:50 - win-ei
[FSM4RTC,incompat] Added ReturnCode. refs #3886

00000 920-2017/01/26 00:55 - win-ei
[FSM4RTC,incomapt] Timestamp class template has been added. Timestamp listeners have been added to InPort and OutPort. refs #3886

00000 921-2017/01/26 18:19 - win-ei
[FSM4RTC bugfix]Fixed bugs. refs #3886

00000 922-2017/01/26 19:15 - win-ei
[FSM4RTC bugfix]Fixed bugs. refs #3886

00000 923-2017/01/27 00:50 - win-ei
[FSM4RTC bugfix]Fixed bugs. refs #3886

00000 925-2017/01/29 19:45 - win-ei
[FSM4RTC bugfix]Fixed bugs. refs #3886

00000 926-2017/01/30 18:51 - win-ei
[FSM4RTC bugfix]Fixed bugs. refs #3886

00000 941-2017/02/10 17:42 - win-ei

[FSM4RTC] Some sample components listener have been modified to follow ConnectorListener changes. refs #3886

oo

#1 -2017/01/26 15:40 - win-ei

dataport.timestamp_policy=on_write[d [ (1 [

on_writed O ConnectorDatalListener] ON_BUFFER_ WRITEDO O OO0 0000000 OOOOOOOOOOOOOOOOO
000000000 oOflushOOOO0O0OO0O00O0O00000000O0mIPort00000pushD0O0O0O0OON_BUFFER WRITEDOOOOOODO
ooooooooooo
0000000000000 00OflushOOO0OOOOQO O dataport.timestamp_policy=on_writed OO0 0000

dataport.timestamp_policy=on_send [J [0 [J

on_sendd O ConnectorDataListener0 ON_SENDO OO0 00000000 O0OOOOODOOOODOOOODOOO

Jo0000000PullDOOOOCOOIInPort0 00 00000O0OO0OOOOON_SENDODOODODODODOODODOOODOOO
000000000000 OPuldOOOOOO OO dataport.timestamp_policy=on_sendd 00O O 00O

O00000O00O0O0direct00000000000PushDO0O0O000O0O00OutPort0OOINPort0 D000 OOON_SENDOOODDODOOODO
ooooooooooo
00 0 00 O dataport.timestamp_policy=on_send0 0 0000 O

dataport.timestamp_policy=on_read] [ [ [J

on_read O ConnectorDataListener(] ON_BUFFER_ READO 0 O 00000 O0OO0OO0OO0ODOOO0OOOOOOOOOODOO

O00000O00OPUlOOOOOOOOutPort0 0000000000 OOOINPortd000ON_BUFFER READODOODOOOODOOOODODOOO
oooo
00 0 00 O dataport.timestamp_policy=on_read0 0 OO0 00O 0O

000000000 Odirect0000000000O0PushD000O0O00OOOOutPortD 00 InPortd 00000 O0ON_BUFFER_READO O OO
ooooooooooooooo
000 0O 00O dataport.timestamp_policy=on_read0 0 00 00O 0O

gooad

000000000 ConsoleOut Consolein0 O OOdd
rtcon000000O00O0OO

on_received

[corba_cdr][push][flush]

$0 rtconO ./localhost/.host_cxt/ConsolelnO.rtc:out(] ./localhost/.host_cxt/ConsoleOutO.rtc:in --property] dataport.subscription_type=flush( --proper
tyd dataport.timestamp_policy=on_received

[corba_cdr][push][new][all]

$0 rtconO /localhost/.host_cxt/Consoleln0.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in0 O --propertyd dataport.subscription_type=new(] --proper
ty[ dataport.publisher.push_policy=all(l --property(] dataport.timestamp_policy=on_received

[corba_cdr][push][new][fifo]

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in( --propertyd dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=fifo(] --property[] dataport.timestamp_policy=on_received

[corba_cdr][push][new][skip]

rtconO ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in] --propertyd dataport.subscription_type=new[] --property[]
dataport.publisher.push_policy=skipO --propertyd dataport.publisher.skip_count=10 --propertyd dataport.timestamp_policy=on_received

[corba_cdr][push][new][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in0 O --propertyd dataport.subscription_type=new(] --property
O dataport.publisher.push_policy=new(] --property[] dataport.timestamp_policy=on_received

[corba_cdr][push][periodic][all]

rtconO ./localhost/.host_cxt/ConsolelnO.rtc:out] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --propertyd dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10] --property dataport.publisher.push_policy=alll --property dataport.timestamp_policy=on_received

® [corba_cdr][push][periodic][fifo]

rtconO ./localhost/.host_cxt/ConsolelnO.rtc:outl ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --propertyd dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=101 --property] dataport.publisher.push_policy=fifo[] --property] dataport.timestamp_policy=on_received

® [corba_cdr][push][periodic][skip]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property] dataport.publisher.push_policy=skipO --property[] dataport.timestamp_policy=on_received

® [corba_cdr][push][periodic][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in( --property dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10 --property dataport.publisher.push_policy=new( --property] dataport.timestamp_policy=on_received

® [shared_memory][push][periodic][new]

rtconl ./localhost/.host_cxt/ConsolelnO.rtc:out ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --propertyd dataport.interface_type=shared_memory0 [ --
property(] dataport.timestamp_policy=on_received

® [direct][push][new][]J[on_received]
o Consolelnd rtc.conf0 0 00O OO OConsoleind OO OO0

manager.modules.load_path:./RTMExamples/SimplelO

manager.modules.preload:[] ConsoleOut

manager.components.precreate:[] ConsoleOut
ortcon00000COOO

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --property] dataport.interface_type=directd O --prop
erty(] dataport.dataflow_type=push(] O --property[] dataport.timestamp_policy=on_received

on_send

® [corba_cdr][push][flush]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:out ./localhost/.host_cxt/ConsoleOutO.rtc:in[] --propertyd dataport.subscription_type=flush(J --property
0 dataport.timestamp_policy=on_send

® [corba_cdr][push][new][all]

rtcon] ./localhost/.host_cxt/ConsolelnO.rtc:out[] ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --property] dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=all[] --property] dataport.timestamp_policy=on_send

® [corba_cdr][push][new][fifo]

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in] --propertyd dataport.subscription_type=new(] --property(]
dataport.publisher.push_policy=fifol --property[] dataport.timestamp_policy=on_send

® [corba_cdr][push][new][skip]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --propertyd dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=skipO --property] dataport.publisher.skip_count=10 --property] dataport.timestamp_policy=on_send
® [corba_cdr][push][new][new]

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --propertyd dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=new[] --property] dataport.timestamp_policy=on_send

® [corba_cdr][push][periodic][all]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(J --property 0 dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10] --property] dataport.publisher.push_policy=all --property] dataport.timestamp_policy=on_send

[corba_cdr][push][periodic][fifo]

rtconl ./localhost/.host_cxt/ConsolelnO.rtc:outl ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --propertyd dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property] dataport.publisher.push_policy=fifo[] --property] dataport.timestamp_policy=on_send

® [corba_cdr][push][periodic][skip]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property[] dataport.publisher.push_policy=skip --property[] dataport.timestamp_policy=on_send

® [corba_cdr][push][periodic][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in( --property dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10 --property dataport.publisher.push_policy=new --property] dataport.timestamp_policy=on_send

® [shared_memory][push][periodic][new]

rtconO ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --property] dataport.interface_type=shared_memory( --p
roperty[] dataport.timestamp_policy=on_send

® [direct][push][new][]J[on_received]
o Consolelnd rtc.conf0 0 00O OO OConsoleind 0O OO0

manager.modules.load_path:./RTMExamples/SimplelO

manager.modules.preload:[] ConsoleOut

manager.components.precreate:[] ConsoleOut
ortcon00000COOO

rtconC ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --property dataport.interface_type=direct --prope
rty[] dataport.dataflow_type=push(] --property[] dataport.timestamp_policy=on_send

on_read

® [corba_cdr][push][flush]

rtcon ./localhost/.host_cxt/Consoleln0.rtc:out] ./localhost/.host_cxt/ConsoleOutO.rtc:in[] [ --propertyd dataport.subscription_type=flush --propert
yO dataport.timestamp_policy=on_read

® [corba_cdr][push][new][new]

rtcon] ./localhost/.host_cxt/ConsolelnO.rtc:out[] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 O --property[] dataport.subscription_type=new( --property
[ dataport.publisher.push_policy=new(] --property[] dataport.timestamp_policy=on_read

® [corba_cdr][push][new][skip]
rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in0 [0 --property] dataport.subscription_type=new(] --property
0 dataport.publisher.push_policy=skip( --property[] dataport.publisher.skip_count=10 --property] dataport.timestamp_policy=on_read

[corba_cdr][push][new][all]

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0J O --propertyd dataport.subscription_type=new(] --property
[ dataport.publisher.push_policy=all(] --property[] dataport.timestamp_policy=on_read

® [corba_cdr][push][new][fifo]

rtconC ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --propertyd dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=fifol --property[] dataport.timestamp_policy=on_read

® [corba_cdr][push][periodic][all]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(J --property dataport.subscription_type=periodic[] --prope
rtyd dataport.push_rate=10 --property dataport.publisher.push_policy=allO --property] dataport.timestamp_policy=on_read

[corba_cdr][push][periodic][fifo]

rtconl ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property[] dataport.publisher.push_policy=fifo] --property] dataport.timestamp_policy=on_read

[corba_cdr][push][periodic][skip]

rtcon] ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property] dataport.publisher.push_policy=skip[ --property[] dataport.timestamp_policy=on_read

® [corba_cdr][push][periodic][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --property dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10 --property dataport.publisher.push_policy=new( --property] dataport.timestamp_policy=on_read

® [shared_memory][push]

rtconO ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 --property] dataport.interface_type=shared_memory( --p
roperty[] dataport.timestamp_policy=on_read

on_write

® [corba_cdr][push][new][all]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --propertyd dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=allO --property[] dataport.timestamp_policy=on_write

® [corba_cdr][push][new][fifo]

rtcon] ./localhost/.host_cxt/ConsolelnO.rtc:out[] ./localhost/.host_cxt/ConsoleOutO.rtc:in(] --property] dataport.subscription_type=new(] --property(]
dataport.publisher.push_policy=fifol] --property[] dataport.timestamp_policy=on_write

® [corba_cdr][push][new][skip]

rtconC ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.subscription_type=new(] --property[]
dataport.publisher.push_policy=skip[ --property[] dataport.publisher.skip_count=10 --property] dataport.timestamp_policy=on_write

® [corba_cdr][push][new][new]

rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in] --propertyd dataport.subscription_type=new(] --property(]
dataport.publisher.push_policy=new(] --property] dataport.timestamp_policy=on_write

[corba_cdr][push][periodic][all]

rtcon] ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property[] dataport.publisher.push_policy=allCl --property] dataport.timestamp_policy=on_write

® [corba_cdr][push][periodic][fifo]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in(J --property dataport.subscription_type=periodic[] --prope
rty dataport.push_rate=10 --propertyd dataport.publisher.push_policy=fifo[l --property[] dataport.timestamp_policy=on_write

[corba_cdr][push][periodic][skip]

rtconl ./localhost/.host_cxt/ConsolelnO.rtc:outl ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --propertyd dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property[] dataport.publisher.push_policy=skip[ --property[] dataport.timestamp_policy=on_write

® [corba_cdr][push][periodic][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:outd ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.subscription_type=periodic[] --prope
rty[] dataport.push_rate=10] --property[] dataport.publisher.push_policy=new( --property[] dataport.timestamp_policy=on_write

® [shared_memory][push][periodic][new]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:out ./localhost/.host_cxt/ConsoleOutO.rtc:in[] --property dataport.interface_type=shared_memory0 --p
roperty[] dataport.timestamp_policy=on_write

e [direct][push][new][][on_write]
® [direct][pull][new][][on_write]
o ConsolelInO rtc.conf0 OO0 OO OOOConsoleinDO0OO0O0O

manager.modules.load_path:./RTMExamples/SimplelO
manager.modules.preload:[] ConsoleOut
manager.components.precreate:[] ConsoleOut
ortcon00000COOO
rtconO ./localhost/.host_cxt/ConsolelnO.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0J --property dataport.interface_type=direct --prope
rty[] dataport.dataflow_type=push(] --property[] dataport.timestamp_policy=on_write
rtconC ./localhost/.host_cxt/Consoleln0.rtc:outl] ./localhost/.host_cxt/ConsoleOutO.rtc:in0 O --propertyd dataport.interface_type=directd --prop
erty(] dataport.dataflow_type=pullC] --property[] dataport.timestamp_policy=on_write

® [corba_cdr][pull][new][][on_write]

rtcon ./localhost/.host_cxt/ConsolelnO.rtc:out] ./localhost/.host_cxt/ConsoleOutO.rtc:in] --property] dataport.dataflow_type=pullC --property(] data
port.timestamp_policy=on_write

#2-2017/02/16 10:10 - win-ei
-000 O wineiDODOO
